Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations

QueryEventSubscription

QueryEventSubscription

GET/zstack/v1/zwatch/events/subscriptions
GET/zstack/v1/zwatch/events/subscriptions/{uuid}

Operation ID

QueryEventSubscription

Since

2.3.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      Th resource name.

    • namespace
      StringRequired

      The namespace.

    • eventName
      StringRequired

      The event name.

    • lastOpDate
      TimestampRequired

      The creation date.

    • createDate
      TimestampRequired

      The last operation date.

    • state
      EventSubscriptionStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • actions
      ListRequired

      See actions.

      • subscriptionUuid
        StringRequired

        The event subscription UUID.

      • actionType
        StringRequired

        The action type.

      • actionUuid
        StringRequired

        The action UUID.

    • labels
      ListRequired

      See labels.

      • uuid
        StringRequired

        The resource UUID.

      • key
        StringRequired

        The label key.

      • value
        StringRequired

        The label value.

      • operator
        OperatorRequired

        See operator.

        • op
          StringRequired

          The op.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.